SoTextureCoordinateFunction(3IV)

NAME
SoTextureCoordinateFunction — abstract base class for texture coordinate function nodes

INHERITS FROM
SoBase > SoFieldContainer > SoNode > SoTextureCoordinateFunction

SYNOPSIS
#include <Inventor/nodes/SoTextureCoordinateFunction.h>

Methods from class SoTextureCoordinateFunction:

static SoType
getClassTypeId()

Methods from class SoNode:

void
setOverride(SbBool state)
SbBool
isOverride() const
SoNode *
copy(SbBool copyConnections = FALSE) const
virtual SbBool
affectsState() const
static SoNode *
getByName(const SbName &name)
static int
getByName(const SbName &name, SoNodeList &list)

Methods from class SoFieldContainer:

void
setToDefaults()
SbBool
hasDefaultValues() const
SbBool
fieldsAreEqual(const SoFieldContainer *fc) const
void
copyFieldValues(const SoFieldContainer *fc, SbBool copyConnections = FALSE)
SbBool
set(const char *fieldDataString)
void
get(SbString &fieldDataString)
virtual int
getFields(SoFieldList &resultList) const
virtual SoField *
getField(const SbName &fieldName) const
SbBool
getFieldName(const SoField *field, SbName &fieldName) const
SbBool
isNotifyEnabled() const
SbBool
enableNotify(SbBool flag)

Methods from class SoBase:

void
ref()
void
unref() const
void
unrefNoDelete() const
void
touch()
virtual SoType
getTypeId() const
SbBool
isOfType(SoType type) const
virtual void
setName(const SbName &name)
virtual SbName
getName() const

DESCRIPTION
This is an abstract base class for texture coordinate functions. The subclasses of this node enable texture coordinates to be created by mapping object-space points on the surfaces of shapes into texture space, according to some function.

METHODS
static SoType
getClassTypeId()
Returns type identifier for this class.

FILE FORMAT/DEFAULTS
TextureCoordinateFunction {
}

SEE ALSO
SoTexture2, SoTexture2Transform SoTextureCoordinate2, SoTextureCoordinateBinding, SoTextureCoordinateDefault, SoTextureCoordinateEnvironment, SoTextureCoordinatePlane,